package com.example.nekontakte.core.errors;

public class NotFoundException extends RuntimeException {
    public NotFoundException(Integer id) {
        super(String.format("Entity with id <[%s]> not found", id));
    }

    public <T> NotFoundException(Class<T> clazz, Integer id) {
        super(String.format("%s with id [%s] not found or not exists", clazz.getSimpleName(), id));
    }
}