package com.example.nekontakte.core.repository;

import java.util.List;

public interface BaseRepository<E, T> {
    List<E> getAll();

    E get(T id);

    E create(E entity);

    E update(E entity);

    E delete(E entity);

    void deleteAll();
}
