package com.example.nekontakte.posts.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.nekontakte.posts.model.PostEntity;

import java.util.List;

public interface PostRepository
        extends CrudRepository<PostEntity, Integer>, PagingAndSortingRepository<PostEntity, Integer> {
    Page<PostEntity> findByUserId(Integer userId, PageRequest pageable);

    List<PostEntity> findByUserId(Integer userId);
}
