package com.example.nekontakte.subscribes.repository;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.nekontakte.subscribes.model.SubscribeEntity;

public interface SubscribeRepository
        extends CrudRepository<SubscribeEntity, Integer>, PagingAndSortingRepository<SubscribeEntity, Integer> {
    List<SubscribeEntity> findByUserId(Integer userId);

    Page<SubscribeEntity> findByUserId(Integer userId, PageRequest pageRequest);

    List<SubscribeEntity> findBySubscriberId(Integer subscriberId);

    Page<SubscribeEntity> findBySubscriberId(Integer subscriberId, PageRequest pageRequest);
}
